Loading...
Searching...
No Matches
_addrxlat_param_memarr Struct Reference

Parameters of memory array translation. More...

`#include <addrxlat.h>`

## Data Fields

addrxlat_fulladdr_t | base
| Base address of the translation array.
unsigned | shift
| Address bit shift.
unsigned | elemsz
| Size of each array element.
unsigned | valsz
| Size of the value.

## Detailed Description

Parameters of memory array translation.

## Field Documentation

## shift

unsigned _addrxlat_param_memarr::shift

Address bit shift.

The address is shifted right by this many bits to get the corresponding index inside the memory array. The target value is then shifted left and remaining bits are copied from the source address. The intention is to allow indexing by page frame number.

The documentation for this struct was generated from the following file:

- include/libkdumpfile/addrxlat.h